Subject: [PATCH 1/3] coresight: fix kernel panic caused by invalid CPU

From: [email-masked] (Greg KH)
Date: Wed, 25 Jan 2017 11:45:03 +0100

On Mon, Jan 23, 2017 at 10:41:22AM -0700, Mathieu Poirier wrote:
> From: Wang Nan <[email-masked]>
> 
> Commit d52c9750f150 ("coresight: reset "enable_sink" flag when need be")
> caused a kernel panic because of the using of an invalid value: after
> 'for_each_cpu(cpu, mask)', value of local variable 'cpu' become invalid,
> causes following 'cpu_to_node' access invalid memory area.

You should add a "Fixes:" tag when you write something like this, as you
have all of the information here. I'll add it, and the stable tag as
well...

thanks,

greg k-h